Dist::Zilla::Role::File(3)

NAME
Dist::Zilla::Role::File - something that can act like a file

VERSION
version 4.300016

DESCRIPTION
This role describes a file that may be written into the shipped distribution.

ATTRIBUTES

  name
This is the name of the file to be written out.

  added_by
This is a string describing when and why the file was added to the distribution. It will generally be set by a plugin implementing the FileInjector role.

  mode
This is the mode with which the file should be written out. It's an integer with the usual "chmod" semantics. It defaults to 0644.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.